Index: swank.lisp
===================================================================
RCS file: /project/slime/cvsroot/slime/swank.lisp,v
retrieving revision 1.104
diff -u -d -u -r1.104 swank.lisp
--- swank.lisp	19 Jan 2004 20:12:28 -0000	1.104
+++ swank.lisp	20 Jan 2004 15:03:11 -0000
@@ -184,7 +184,12 @@
                      
 (defun create-swank-server (&optional (port 4005) 
                             (background *swank-in-background*))
-  (setup-server port #'simple-announce-function background))
+  (let ((real-port nil))
+    (setup-server port
+                  (lambda (port)
+                    (setf real-port port))
+                  background)
+    real-port))
 
 (defun setup-server (port announce-fn background)
   (setq *write-lock* (make-lock :name "Swank write lock"))
